POST Operator/Get_Template_Lines?Ticket={Ticket}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| Ticket | string |
Required |
Body Parameters
Params_Get_Template_Line_List| Name | Description | Type | Additional information |
|---|---|---|---|
| Search | string |
None. |
|
| Start | integer |
None. |
|
| Max | integer |
None. |
|
| TEMPLATE_ID | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Search": "sample string 1",
"Start": 2,
"Max": 3,
"TEMPLATE_ID": 4
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
Result_Get_Template_Line_List| Name | Description | Type | Additional information |
|---|---|---|---|
| draw | integer |
None. |
|
| recordsFiltered | integer |
None. |
|
| recordsTotal | integer |
None. |
|
| oData | Collection of Template_Line |
None. |
|
| FixedTotalSum | decimal number |
None. |
|
| ExceptionMsg | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"draw": 1,
"recordsFiltered": 2,
"recordsTotal": 3,
"oData": [
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8,
"HasChildren": true,
"TemplateLineChildren": [
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8
},
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8
}
]
},
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8,
"HasChildren": true,
"TemplateLineChildren": [
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8
},
{
"TEMPLATE_LINE_ID": 1,
"TEMPLATE_ID": 2,
"LINE_DESCRIPTION": "sample string 3",
"LINE_PRICE": 1.0,
"PARENT_LINE_ID": 1,
"DISPLAY_ORDER": 4,
"IS_ACTIVE": true,
"REMARKS": "sample string 6",
"CREATE_DATE": "2026-11-07T12:28:14.3986226+00:00",
"CREATE_USER": 8
}
]
}
],
"FixedTotalSum": 1.0,
"ExceptionMsg": "sample string 4"
}